Name:  wine-launcher-creator   
Version:  1.0.8
Release:  %mkrel 1

Summary:  Wine Launcher Creator 
URL:      https://code.google.com/p/wine-launcher-creator/
Source0:  %{name}-%{version}.tar.xz
Source1:  wine.png
License:  GPLv3
Group:    Graphical desktop/Other
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: desktop-file-utils
Requires: icoutils xdg-utils python-qt4
 


%description
Wine Launcher Creator is a tool for easy creation of windows launchers.
WLCreator is a Python program (script) that creates Linux desktop launchers 
for Windows programs (using Wine). The program does the following tasks:

* Find/extract ico files (using icoutils)
* Convert ico files to png files (using icoutils)
* Present the user with graphical interface, where he/she can choose the icon for launcher
* Create desktop launcher 

%prep
%setup -q 


%build


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/%{_bindir}/
install -m 755 wlcreator.py $RPM_BUILD_ROOT/%{_bindir}/

# data
install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/%{name}
cp -r {wlcaction.xml,*.desktop} $RPM_BUILD_ROOT/%{_datadir}/%{name}


# desktop
mkdir -p %{buildroot}/%_datadir/applications/
cat > %{buildroot}/%_datadir/applications/%{name}.desktop << EOF
[Desktop Entry]
Version=1.0.8
Type=Application
Terminal=false
Name=Wine Launcher Creator
Comment=Wine Launcher Tool
Exec="wlcreator.py"
Path=/usr/bin/
Icon=wine
Categories=System;X-MandrivaLinux-System-FileTools;
EOF

# icon
install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 %SOURCE1 \
$RPM_BUILD_ROOT/%{_datadir}/pixmaps



%clean
rm -rf $RPM_BUILD_ROOT


%post
%{update_menus}


%postun
%{clean_menus}


%files 
%defattr(-,root,root)
%doc *.txt
%_bindir/wlcreator.py
%_datadir/%{name}
%{_datadir}/pixmaps/wine.png
%_datadir/applications/*.desktop


%changelog
* Wed May 21 2014 Ken <lxgator at gmail.com> 1.0.8-1pclos2014
- Create pkg

